- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# tvec2< T > Struct Template Reference
Template types

The basic 2D vector type. More...

List of all members.

## Public Member Functions
template<typename U >
GLM_FUNC_DECL | tvec2 (U const &x)
template<typename U >
GLM_FUNC_DECL | tvec2 (tvec4< U > const &v)
template<typename U , typename V >
GLM_FUNC_DECL | tvec2 (U const &x, V const &y)
template<typename U >
GLM_FUNC_DECL | tvec2 (tvec3< U > const &v)
template<typename U >
GLM_FUNC_DECL | tvec2 (tvec2< U > const &v)

## Detailed Description

### template<typename T>
struct glm::detail::tvec2< T >

The basic 2D vector type.

Definition at line 50 of file type_vec2.hpp.